﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Livet;
using System.Collections.ObjectModel;
using C1.WPF.FlexGrid;
using System.Windows;
using C1.WPF.DataGrid;
using C1.WPF.RichTextBox;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Media;
using C1.WPF.RichTextBox.Documents;

namespace WpfApplication2
{

    public class Sample
    {
        public int Id { get; set; }
        public string Name { get; set; }
    }

    class MainWindowViewModel : ViewModel
    {


        private ObservableCollection<Sample> _samples = new ObservableCollection<Sample>();
        public ObservableCollection<Sample> Samples
        {
            get { return _samples; }
            set
            {
                _samples = value;
                RaisePropertyChanged("Samples");
            }
        }

        

        public MainWindowViewModel()
        {
            this.Samples = new ObservableCollection<Sample>()
            {
                new Sample() { Id = 1, Name = "john" },
                new Sample() { Id = 2, Name = "Kem" },
                new Sample() { Id = 3, Name = "Kim" },
                new Sample() { Id = 4, Name = "Jem" }
            };
        }
        
    }
}
